# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name JuicyPixels
%global _use_internal_dependency_generator 0
%global __find_provides %{_rpmconfigdir}/ghc-deps.sh --provides %{buildroot}%{ghclibdir}
%global __find_requires %{_rpmconfigdir}/ghc-deps.sh --requires %{buildroot}%{ghclibdir}

Name:           ghc-%{pkg_name}
Version:        3.2.2
Release:        4%{?dist}
Summary:        Picture loading and serialization

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-zlib-devel
# End cabal-rpm deps

%description
This library can load and store images in PNG, Bitmap, Jpeg, Radiance, Tiff and
Gif images.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
sed -i 's/\r$//' LICENSE


%build
%ghc_lib_build


%install
%ghc_lib_install

install -p -m 0644 docimages/* %{buildroot}%{ghcpkgdocdir}
rm -f %{buildroot}/usr/share/doc/%{name}/LICENSE

%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 31 2015 Peter Robinson <pbrobinson@fedoraproject.org> 3.2.2-3
- Rebuild (aarch64 vector hashes)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 21 2015 Jens Petersen <petersen@redhat.com> - 3.2.2-1
- update to 3.2.2
- fix encoding of LICENSE (#1180460)

* Fri Jan  9 2015 Jens Petersen <petersen@redhat.com> - 3.2.1-1
- summary and description
- install docimages under ghclibdocdir

* Fri Jan  9 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 3.2.1
- spec file generated by cabal-rpm-0.9.2
